MCP Gateway
ApiPortal

Generate IDE config snippet

Generate an IDE-specific MCP configuration snippet for a portal server. Accepts API key in POST body for security.

POST
/api/v1/portal/servers/{server_id}/ide-config

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Path Parameters

server_id*string
Formatuuid
access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/portal/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/ide-config" \  -H "Content-Type: application/json" \  -d '{    "ide": "string",    "api_key": "string"  }'
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}